## ros-nodelet-core 1.9.3

=== nodelet/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nodelet)

## Find catkin dependencies
find_package(catkin REQUIRED bondcpp cmake_modules message_generation pluginlib rosconsole roscpp std_msgs)

## Find Boost (only headers)
find_package(Boost REQUIRED)

## Find UUID libraries
find_package(UUID REQUIRED)

## Add service files to be generated
add_service_files(DIRECTORY srv FILES NodeletList.srv  NodeletLoad.srv  NodeletUnload.srv)

## Generate servics
generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  INCLUDE_DIRS include ${UUID_INCLUDE_DIRS}
  LIBRARIES nodeletlib ${UUID_LIBRARIES}
  CATKIN_DEPENDS bondcpp message_runtime pluginlib rosconsole roscpp std_msgs
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS})

# Debug only, collects stats on how callbacks are doled out to worker threads
#add_definitions(-DNODELET_QUEUE_DEBUG)

add_library(nodeletlib src/nodelet_class.cpp src/loader.cpp src/callback_queue.cpp src/callback_queue_manager.cpp)
target_link_libraries(nodeletlib ${catkin_LIBRARIES} ${BOOST_LIBRARIES})
add_dependencies(nodeletlib ${nodelet_EXPORTED_TARGETS})

add_executable(nodelet src/nodelet.cpp)
target_link_libraries(nodelet nodeletlib ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})

# install
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(TARGETS nodeletlib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(TARGETS nodelet
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== test_nodelet/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_nodelet)

find_package(catkin REQUIRED)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED thread)
  find_package(catkin REQUIRED nodelet pluginlib rostest)
  include_directories(SYSTEM ${BOOST_INCLUDE_DIRS}
                             ${catkin_INCLUDE_DIRS}
  )

  #common commands for building c++ executables and libraries
  add_library(${PROJECT_NAME} src/plus.cpp src/console_tests.cpp src/failing_nodelet.cpp)
  target_link_libraries(${PROJECT_NAME} ${BOOST_LIBRARIES}
                                        ${catkin_LIBRARIES}
  )

  add_rostest(test_local.launch)
  add_rostest(test_loader.launch)

  catkin_add_gtest(test_callback_queue_manager src/test_callback_queue_manager.cpp)
  target_link_libraries(test_callback_queue_manager ${BOOST_LIBRARIES} ${catkin_LIBRARIES})

  add_executable(test_console EXCLUDE_FROM_ALL test/test_console.cpp)
  target_link_libraries(test_console ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_dependencies(tests test_console)

  add_rostest(test/test_console.launch)

  # Not a real test. Tries to measure overhead of CallbackQueueManager.
  add_executable(benchmark src/benchmark.cpp)
  target_link_libraries(benchmark ${BOOST_LIBRARIES}
                                  ${PROJECT_NAME}
  )

  add_executable(create_instance_cb_error src/create_instance_cb_error.cpp)
  target_link_libraries(create_instance_cb_error ${catkin_LIBRARIES})
endif()

=== test_nodelet_topic_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_nodelet_topic_tools)

find_package(catkin REQUIRED COMPONENTS message_filters nodelet nodelet_topic_tools pluginlib roscpp rostest)

catkin_package(
  CATKIN_DEPENDS message_filters nodelet nodelet_topic_tools pluginlib roscpp
)

if(CATKIN_ENABLE_TESTING)
  include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
  add_library(test_nodelet_topic_tools test/string_nodelet_throttle.cpp)
  target_link_libraries(test_nodelet_topic_tools ${catkin_LIBRARIES})
  add_dependencies(test_nodelet_topic_tools ${nodelet_topic_tools_EXPORTED_TARGETS})

  add_rostest(test/test_nodelet_throttle.launch)
endif()

=== debian/changelog ===
ros-nodelet-core (1.9.3-2) unstable; urgency=medium

  * add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:13:32 +0100

ros-nodelet-core (1.9.3-1) unstable; urgency=medium

  * Initial release (Closes: #806281)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 01:34:44 +0000

=== debian/control ===
Source: ros-nodelet-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libbondcpp-dev, ros-cmake-modules,
		libbond-dev, ros-message-runtime, libroscpp-core-dev,
		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libsmc-dev, ros-message-generation, pluginlib-dev,
		libclass-loader-dev, libroslib-dev,
		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msgs-dev,
		python-dynamic-reconfigure, python-roslib
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/nodelet_core
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-nodelet-core.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-nodelet-core.git

Package: libnodelet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libboost-dev, libbondcpp-dev, ros-cmake-modules, ros-message-runtime, pluginlib-dev, librosconsole-dev, libstd-msgs-dev, uuid-dev
Description: Robot OS nodelet library - service header files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the service.

Package: python-nodelet
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS nodelet library - service files - Python
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the Python interface.

Package: cl-nodelet
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS nodelet library - service files - LISP
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the LISP interface.

Package: libnodeletlib-dev
Section: libdevel
Architecture: any
Depends: libnodeletlib0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
Description: Robot OS nodelet library - development
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the library.

Package: libnodeletlib0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the library.

Package: libnodeletlib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the tools.

Package: libnodelet-topic-tools-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libboost-thread-dev, libboost-dev, libdynamic-reconfigure-config-init-mutex-dev
Description: Robot OS nodelet_topic_tools library - development files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the development files for common nodelet tools
 such as a mux, demux and throttle.

Package: python-nodelet-topic-tools
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS nodelet_topic_tools library - service files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the generated Python package for common
 nodelet tools such as a mux, demux and throttle.

## ros-nodelet-core 1.9.5

=== test_nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
   include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
   add_library(test_nodelet_topic_tools test/string_nodelet_throttle.cpp)
   target_link_libraries(test_nodelet_topic_tools ${catkin_LIBRARIES})
-  add_dependencies(test_nodelet_topic_tools ${nodelet_topic_tools_EXPORTED_TARGETS})
+  add_dependencies(test_nodelet_topic_tools ${catkin_EXPORTED_TARGETS})
 
   add_rostest(test/test_nodelet_throttle.launch)
 endif()

=== debian/changelog ===
ros-nodelet-core (1.9.5-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 21:51:10 +0000

ros-nodelet-core (1.9.5-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:27:16 +0200

ros-nodelet-core (1.9.5-1) unstable; urgency=medium

  * Imported Upstream version 1.9.5

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:16:43 +0200

ros-nodelet-core (1.9.3-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 30 May 2016 13:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,

## ros-nodelet-core 1.9.8

=== test_nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,8 @@
   add_dependencies(tests test_console)
 
   add_rostest(test/test_console.launch)
+  add_rostest(test/test_bond_break_on_shutdown.launch)
+  add_rostest(test/test_unload_called_twice.launch)
 
   # Not a real test. Tries to measure overhead of CallbackQueueManager.
   add_executable(benchmark src/benchmark.cpp)

=== debian/changelog ===
ros-nodelet-core (1.9.8-2build2) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:20:05 +0200

ros-nodelet-core (1.9.8-2build1) cosmic; urgency=medium

  * Rebuild against new libtinyxml2-6a.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Aug 2018 12:03:18 +0200

ros-nodelet-core (1.9.8-2) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update watch file
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Fix roscpp-msg* dependency
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 22:27:42 +0200

ros-nodelet-core (1.9.8-1) unstable; urgency=medium

  * New upstream version 1.9.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Nov 2016 18:35:52 +0100

ros-nodelet-core (1.9.7-2) unstable; urgency=medium

  * Reupload because of broken ros-comm

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 22:11:15 +0100

ros-nodelet-core (1.9.7-1) unstable; urgency=medium

  * New upstream version 1.9.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:51:04 +0100

ros-nodelet-core (1.9.6-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.9.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Sep 2016 17:58:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper (>= 11), catkin, libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libsmc-dev, ros-message-generation, pluginlib-dev,
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
-		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msgs-dev,
+		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
 		python-dynamic-reconfigure, python-roslib
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://wiki.ros.org/nodelet_core
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-nodelet-core.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-nodelet-core.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/nodelet_core
+Vcs-Git: https://salsa.debian.org/science-team/ros-nodelet-core.git
+Vcs-Browser: https://salsa.debian.org/science-team/ros-nodelet-core
 
 Package: libnodelet-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libboost-dev, libbondcpp-dev, ros-cmake-modules, ros-message-runtime, pluginlib-dev, librosconsole-dev, libstd-msgs-dev, uuid-dev
 Description: Robot OS nodelet library - service header files
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -48,6 +50,7 @@
 Package: cl-nodelet
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS nodelet library - service files - LISP
  This package is part of Robot OS (ROS). Nodelet is designed to

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2 --buildsystem=cmake

## ros-nodelet-core 1.9.16

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,15 @@
 project(nodelet)
 
 ## Find catkin dependencies
-find_package(catkin REQUIRED bondcpp cmake_modules message_generation pluginlib rosconsole roscpp std_msgs)
+find_package(catkin REQUIRED
+  bondcpp
+  cmake_modules
+  message_generation
+  pluginlib
+  rosconsole
+  roscpp
+  std_msgs
+)
 
 ## Find Boost (only headers)
 find_package(Boost REQUIRED)
@@ -17,13 +25,17 @@
 generate_messages(DEPENDENCIES std_msgs)
 
 catkin_package(
-  INCLUDE_DIRS include ${UUID_INCLUDE_DIRS}
-  LIBRARIES nodeletlib ${UUID_LIBRARIES}
+  INCLUDE_DIRS include
+  LIBRARIES nodeletlib
   CATKIN_DEPENDS bondcpp message_runtime pluginlib rosconsole roscpp std_msgs
   DEPENDS Boost
 )
 
-include_directories(include ${catkin_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS})
+include_directories(
+  include
+  ${catkin_INCLUDE_DIRS}
+  ${BOOST_INCLUDE_DIRS}
+  ${UUID_INCLUDE_DIRS})
 
 # Debug only, collects stats on how callbacks are doled out to worker threads
 #add_definitions(-DNODELET_QUEUE_DEBUG)
@@ -36,6 +48,8 @@
 target_link_libraries(nodelet nodeletlib ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})
 
 # install
+catkin_install_python(PROGRAMS scripts/declared_nodelets scripts/list_nodelets
+                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )

=== nodelet_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nodelet_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== nodelet_topic_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nodelet_topic_tools)

find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)
find_package(Boost REQUIRED thread)

generate_dynamic_reconfigure_options(cfg/NodeletThrottle.cfg)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS dynamic_reconfigure message_filters nodelet pluginlib roscpp
  DEPENDS Boost
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== test_nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
   )
 
   #common commands for building c++ executables and libraries
-  add_library(${PROJECT_NAME} src/plus.cpp src/console_tests.cpp src/failing_nodelet.cpp)
+  add_library(${PROJECT_NAME} src/plus.cpp src/console_tests.cpp src/failing_nodelet.cpp src/nodehandles.cpp)
   target_link_libraries(${PROJECT_NAME} ${BOOST_LIBRARIES}
                                         ${catkin_LIBRARIES}
   )
@@ -32,6 +32,21 @@
   add_rostest(test/test_bond_break_on_shutdown.launch)
   add_rostest(test/test_unload_called_twice.launch)
 
+  add_rostest_gtest(test_nodehandles_different_namespaces
+                    test/test_nodehandles_different_namespaces.test
+                    test/test_nodehandles_different_namespaces.cpp)
+  target_link_libraries(test_nodehandles_different_namespaces ${catkin_LIBRARIES})
+
+  add_rostest_gtest(test_nodehandles_same_namespaces
+                    test/test_nodehandles_same_namespaces.test
+                    test/test_nodehandles_same_namespaces.cpp)
+  target_link_libraries(test_nodehandles_same_namespaces ${catkin_LIBRARIES})
+
+  add_rostest_gtest(test_nodehandles_manager_namespaced
+                    test/test_nodehandles_manager_namespaced.test
+                    test/test_nodehandles_manager_namespaced.cpp)
+  target_link_libraries(test_nodehandles_manager_namespaced ${catkin_LIBRARIES})
+
   # Not a real test. Tries to measure overhead of CallbackQueueManager.
   add_executable(benchmark src/benchmark.cpp)
   target_link_libraries(benchmark ${BOOST_LIBRARIES}

=== test_nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,10 @@
 
 if(CATKIN_ENABLE_TESTING)
   include_directories(SYSTEM ${catkin_INCLUDE_DIRS})
-  add_library(test_nodelet_topic_tools test/string_nodelet_throttle.cpp)
+  add_library(test_nodelet_topic_tools test/string_nodelet_lazy.cpp test/string_nodelet_throttle.cpp)
   target_link_libraries(test_nodelet_topic_tools ${catkin_LIBRARIES})
   add_dependencies(test_nodelet_topic_tools ${catkin_EXPORTED_TARGETS})
 
+  add_rostest(test/test_nodelet_lazy.launch)
   add_rostest(test/test_nodelet_throttle.launch)
 endif()

=== debian/changelog ===
ros-nodelet-core (1.9.16-1) unstable; urgency=medium

  * New upstream version 1.9.16
  * Update copyright
  * Rebase patch
  * Bump policy version (no changes)
  * simplify d/rules
  * Fix lintian warning
  * Bump Soname due to ABI change
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 13:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
 		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
-		python-dynamic-reconfigure, python-roslib
-Standards-Version: 4.1.5
+		python-dynamic-reconfigure, python-roslib, python3-dev,
+		python3-nose, python3-dynamic-reconfigure, python3-roslib,
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -38,14 +39,27 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet library - service files - Python
+Description: Robot OS nodelet library - service files - Python 2
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms. The nodelet base class needed
  for implementing a nodelet, and the NodeletLoader class used for
  instantiating nodelets are provided.
  .
- This package contains the Python interface.
+ This package contains the Python 2 interface.
+
+Package: python3-nodelet
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS nodelet library - service files - Python 3
+ This package is part of Robot OS (ROS). Nodelet is designed to
+ provide a way to run multiple algorithms in the same process with
+ zero copy transport between algorithms. The nodelet base class needed
+ for implementing a nodelet, and the NodeletLoader class used for
+ instantiating nodelets are provided.
+ .
+ This package contains the Python 3 interface.
 
 Package: cl-nodelet
 Section: lisp
@@ -64,7 +78,7 @@
 Package: libnodeletlib-dev
 Section: libdevel
 Architecture: any
-Depends: libnodeletlib0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
+Depends: libnodeletlib1d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
 Description: Robot OS nodelet library - development
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
@@ -74,7 +88,7 @@
  .
  This package contains the development files for the library.
 
-Package: libnodeletlib0d
+Package: libnodeletlib1d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -89,7 +103,7 @@
 
 Package: libnodeletlib-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python
 Multi-Arch: foreign
 Description: Robot OS nodelet library
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -116,10 +130,22 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet_topic_tools library - service files
+Description: Robot OS nodelet_topic_tools library - Python 2 service files
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms.
  .
- This package contains the generated Python package for common
+ This package contains the generated Python 2 package for common
  nodelet tools such as a mux, demux and throttle.
+
+Package: python3-nodelet-topic-tools
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS nodelet_topic_tools library - Python 3 service files
+ This package is part of Robot OS (ROS). Nodelet is designed to
+ provide a way to run multiple algorithms in the same process with
+ zero copy transport between algorithms.
+ .
+ This package contains the generated Python 3 package for common
+ nodelet tools such as a mux, demux and throttle.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-nodelet-core-$1.tar.gz%" \
    https://github.com/ros/nodelet_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-nodelet-core 1.10.0

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(nodelet)
 
 ## Find catkin dependencies

=== nodelet_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nodelet_core)
find_package(catkin REQUIRED)
catkin_metapackage()

=== nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(nodelet_topic_tools)
 
 find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)

=== debian/changelog ===
ros-nodelet-core (1.10.0-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:48:37 +0100

ros-nodelet-core (1.10.0-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 09:58:33 +0100

ros-nodelet-core (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 08:47:31 +0200

ros-nodelet-core (1.9.16-2) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938386)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch
  * add Salsa CI
  * add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: ros-nodelet-core
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper-compat (= 13), catkin, libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libsmc-dev, ros-message-generation, pluginlib-dev,
 		libclass-loader-dev, libroslib-dev,
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
-		libboost-dev, dh-python, python-dev, uuid-dev, python-nose, libroscpp-msg-dev,
-		python-dynamic-reconfigure, python-roslib, python3-dev,
-		python3-nose, python3-dynamic-reconfigure, python3-roslib,
-Standards-Version: 4.2.1
+		libboost-dev, dh-sequence-python3, python3-dev, uuid-dev, python3-nose, libroscpp-msg-dev,
+		python3-dynamic-reconfigure, python3-roslib,
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -34,19 +32,6 @@
  instantiating nodelets are provided.
  .
  This package contains the development files for the service.
-
-Package: python-nodelet
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet library - service files - Python 2
- This package is part of Robot OS (ROS). Nodelet is designed to
- provide a way to run multiple algorithms in the same process with
- zero copy transport between algorithms. The nodelet base class needed
- for implementing a nodelet, and the NodeletLoader class used for
- instantiating nodelets are provided.
- .
- This package contains the Python 2 interface.
 
 Package: python3-nodelet
 Section: python
@@ -78,6 +63,7 @@
 Package: libnodeletlib-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libnodeletlib1d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libbondcpp-dev, ros-message-runtime, pluginlib-dev, librosconsole-dev, libroscpp-dev, libstd-msgs-dev, libnodelet-dev
 Description: Robot OS nodelet library - development
  This package is part of Robot OS (ROS). Nodelet is designed to
@@ -103,9 +89,9 @@
 
 Package: libnodeletlib-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3
 Multi-Arch: foreign
-Description: Robot OS nodelet library
+Description: Robot OS nodelet library - tools
  This package is part of Robot OS (ROS). Nodelet is designed to
  provide a way to run multiple algorithms in the same process with
  zero copy transport between algorithms. The nodelet base class needed
@@ -126,18 +112,6 @@
  This package contains the development files for common nodelet tools
  such as a mux, demux and throttle.
 
-Package: python-nodelet-topic-tools
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Robot OS nodelet_topic_tools library - Python 2 service files
- This package is part of Robot OS (ROS). Nodelet is designed to
- provide a way to run multiple algorithms in the same process with
- zero copy transport between algorithms.
- .
- This package contains the generated Python 2 package for common
- nodelet tools such as a mux, demux and throttle.
-
 Package: python3-nodelet-topic-tools
 Section: python
 Architecture: all

## ros-nodelet-core 1.10.2

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,19 @@
   roscpp
   std_msgs
 )
+
+catkin_package_xml()
+# split version in parts and pass to extra file
+string(REPLACE "." ";" nodelet_VERSION_LIST "${nodelet_VERSION}")
+list(LENGTH nodelet_VERSION_LIST _count)
+if(NOT _count EQUAL 3)
+  message(FATAL_ERROR "nodelet version '${nodelet_VERSION}' does not match 'MAJOR.MINOR.PATCH' pattern")
+endif()
+list(GET nodelet_VERSION_LIST 0 nodelet_VERSION_MAJOR)
+list(GET nodelet_VERSION_LIST 1 nodelet_VERSION_MINOR)
+list(GET nodelet_VERSION_LIST 2 nodelet_VERSION_PATCH)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/nodelet/version.h.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/nodelet/version.h)
 
 ## Find Boost (only headers)
 find_package(Boost REQUIRED)

=== debian/changelog ===
ros-nodelet-core (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2
  * Rebase patches
  * Install version.h

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 08 Oct 2021 09:47:03 +0200

ros-nodelet-core (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Add lintian override for arch:any.
    Multi-Arch interpreter problem as explained in #901696

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Sep 2021 18:43:42 +0200

ros-nodelet-core (1.10.0-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:23 +0200

ros-nodelet-core (1.10.0-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 00:08:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, libbondcpp-dev, ros-cmake-modules,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libbondcpp-dev, ros-cmake-modules,
 		libbond-dev, ros-message-runtime, libroscpp-core-dev,
 		libstd-msgs-dev, libroscpp-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
@@ -12,7 +12,7 @@
 		libdynamic-reconfigure-config-init-mutex-dev, libboost-thread-dev,
 		libboost-dev, dh-sequence-python3, python3-dev, uuid-dev, python3-nose, libroscpp-msg-dev,
 		python3-dynamic-reconfigure, python3-roslib,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/nodelet_core
@@ -103,6 +103,7 @@
 Package: libnodelet-topic-tools-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libboost-thread-dev, libboost-dev, libdynamic-reconfigure-config-init-mutex-dev
 Description: Robot OS nodelet_topic_tools library - development files
  This package is part of Robot OS (ROS). Nodelet is designed to

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-nodelet-core-$1.tar.gz%" \
    https://github.com/ros/nodelet_core/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-nodelet-core 1.11.0

=== nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
                       DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
+        FILES_MATCHING PATTERN "*.h"
 )
 install(TARGETS nodeletlib
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}

=== debian/changelog ===
ros-nodelet-core (1.11.0-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Enable all hardening flags
  * Bump Standards-Version to 4.7.0
  * Update d/watch to latest GitHub recipe
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Oct 2024 00:19:44 +0200

ros-nodelet-core (1.11.0-2) unstable; urgency=medium

  * Drop python3-nose from Build-Depends (Closes: #1071697)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 May 2024 06:58:48 +0200

ros-nodelet-core (1.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 1.11.0
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 11:22:35 +0100

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros/nodelet_core/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## ros-nodelet-core 1.11.1

=== test_nodelet/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(test_nodelet)
 
@@ -29,8 +29,11 @@
   add_dependencies(tests test_console)
 
   add_rostest(test/test_console.launch)
-  add_rostest(test/test_bond_break_on_shutdown.launch)
-  add_rostest(test/test_unload_called_twice.launch)
+
+  # TODO(mjcarroll):Remove these tests until
+  # https://github.com/ros/rosconsole/issues/30 is resolved
+  # add_rostest(test/test_bond_break_on_shutdown.launch)
+  # add_rostest(test/test_unload_called_twice.launch)
 
   add_rostest_gtest(test_nodehandles_different_namespaces
                     test/test_nodehandles_different_namespaces.test

=== test_nodelet_topic_tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(test_nodelet_topic_tools)

=== debian/changelog ===
ros-nodelet-core (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 22:18:02 +0100

=== debian/control ===
Source: ros-nodelet-core
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libbond-dev,
 libbondcpp-dev,
 libboost-dev,
 libboost-thread-dev,
 libclass-loader-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 libroslib-dev,
 libsmc-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 pluginlib-dev,
 python3-dev,
 python3-dynamic-reconfigure,
 python3-roslib,
 ros-cmake-modules,
 ros-message-generation,
 ros-message-runtime,
 uuid-dev,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/nodelet_core
Vcs-Git: https://salsa.debian.org/science-team/ros-nodelet-core.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-nodelet-core

Package: libnodelet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbondcpp-dev,
 libboost-dev,
 librosconsole-dev,
 libstd-msgs-dev,
 pluginlib-dev,
 ros-cmake-modules,
 ros-message-runtime,
 uuid-dev,
 ${misc:Depends},
Description: Robot OS nodelet library - service header files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the service.

Package: cl-nodelet
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS nodelet library - service files - LISP
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the LISP interface.

Package: libnodelet-topic-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libboost-thread-dev,
 libdynamic-reconfigure-config-init-mutex-dev,
 ${misc:Depends},
Description: Robot OS nodelet_topic_tools library - development files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the development files for common nodelet tools
 such as a mux, demux and throttle.

Package: libnodeletlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbondcpp-dev,
 libnodelet-dev,
 libnodeletlib1d (= ${binary:Version}),
 librosconsole-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 pluginlib-dev,
 ros-message-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet library - development
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the development files for the library.

Package: libnodeletlib-tools
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Robot OS nodelet library - tools
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the tools.

Package: libnodeletlib1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS nodelet library
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the library.

Package: python3-nodelet
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet library - service files - Python 3
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms. The nodelet base class needed
 for implementing a nodelet, and the NodeletLoader class used for
 instantiating nodelets are provided.
 .
 This package contains the Python 3 interface.

Package: python3-nodelet-topic-tools
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS nodelet_topic_tools library - Python 3 service files
 This package is part of Robot OS (ROS). Nodelet is designed to
 provide a way to run multiple algorithms in the same process with
 zero copy transport between algorithms.
 .
 This package contains the generated Python 3 package for common
 nodelet tools such as a mux, demux and throttle.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = \
	nodelet_core \
	test_nodelet \
	test_nodelet_topic_tools

%:
	dh $@ --buildsystem=ros
